summaryrefslogtreecommitdiff
path: root/debian/anastasis-httpd.postinst
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2021-09-01 00:59:34 +0200
committerChristian Grothoff <christian@grothoff.org>2021-09-01 00:59:34 +0200
commitc3a1a4ecbea0c8df729b7a29da5d31c1f9dab9c9 (patch)
tree9fee7ded48451ba9e25b06b355c76078e291cef5 /debian/anastasis-httpd.postinst
parent79de1f2faddd1032fa0f915365be6d85ea333fb3 (diff)
downloadanastasis-c3a1a4ecbea0c8df729b7a29da5d31c1f9dab9c9.tar.gz
anastasis-c3a1a4ecbea0c8df729b7a29da5d31c1f9dab9c9.tar.bz2
anastasis-c3a1a4ecbea0c8df729b7a29da5d31c1f9dab9c9.zip
separate DB creation from plugin loading; fix misc. Debian package issues
Diffstat (limited to 'debian/anastasis-httpd.postinst')
-rw-r--r--debian/anastasis-httpd.postinst6
1 files changed, 6 insertions, 0 deletions
diff --git a/debian/anastasis-httpd.postinst b/debian/anastasis-httpd.postinst
index fe89acb..994b06b 100644
--- a/debian/anastasis-httpd.postinst
+++ b/debian/anastasis-httpd.postinst
@@ -20,6 +20,12 @@ configure)
adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home ${TALER_HOME} ${_USERNAME}
fi
+ if ! dpkg-statoverride --list /etc/anastasis/secrets/anastasis-db.secret.conf >/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ anastasis-httpd root 460 \
+ /etc/anastasis/secrets/anastasis-db.secret.conf
+ fi
+
# Setup postgres database (needs dbconfig-pgsql package)
if [ -f /usr/share/dbconfig-common/dpkg/postinst.pgsql ]; then
. /usr/share/dbconfig-common/dpkg/postinst.pgsql